def entry_exit(function, *args, **kwargs):
    """This function is called as a decorator to indicate the entry and exit of a user specified function.
    Args:
        function (function): User specified function to be called.
    """    

    def new_function(*args, **kwargs):
        """This function is called to provide console output to the user when entering and exiting a user specified function.
        """        

        # Print a message to the console confirming the given function is being entered
        print(f"\nEntering function: \'{function.__name__}\' within class: \'{function.__qualname__.split('.')[0]}\'.")

        # Call user specified function
        function(*args, **kwargs)

        # Print a message to the console confirming the given function is being exited
        print(f"Exiting function: \'{function.__name__}\' within class: \'{function.__qualname__.split('.')[0]}\'.\n")

    # Set name of the current function
    new_function.__name__ = function.__name__

    # Return user specified function through 'new_function' instantiation
    return new_function